# Magento 2 Ajax Scroll

[Magento 2 ajax scroll](https://landofcoder.com/magento-2-infinite-scroll.html/) extension by LandOfCoder automatically loads product catalog without reloading the page. It is absolutely SEO-friendly AJAX implementation.

- Magento 2 Ajax scroll without interruption
- Freely Scroll down & See what page of the catalog they're on
- Automatically loading 
- Show “Loading” Button 
- Possibility to give links to any place of the page
- Place navigation bar in any location at the page.
- Similar technique as seen on Twitter, Facebook
- Increase the conversion rate at your store.
- Easy to Change Button and Loading Text
- View product details without losing your current position
- Use in category page and search page


## 1. Documentation

- Installation guide: https://blog.landofcoder.com/magento-2-install-extension/
- Download from our Live site: https://landofcoder.com/magento-2-infinite-scroll.html/
- Get Support: https://landofcoder.ticksy.com/


## 2. How to install Extension

### Install via composer (recommend)


Run the following command in Magento 2 root folder:

```
composer require landofcoder/module-ajaxscroll
php bin/magento setup:upgrade
php bin/magento setup:static-content:deploy
```

### Install Via FTP

Your magento 2 extensions can be installed in a few minutes by going through these following steps

Step 1: Download/purchase the extension

Step 2: Unzip the file in a temporary directory

Step 3: Upload it to your Magento installation root directory

Step 4: Disable the cache under System­ >> Cache Management

Step 5: Enter the following at the command line:

php ­f bin/magento setup:upgrade

Step 6: After opening Stores­ >>Configuration >­>Advanced >­> Advanced, the module will be shown in the admin panel



## 3. What make people fall in love with the extensions

### Ajax scroll without interruption
Magento 2 Infinite scrolling makes shopping experience become more enjoyable and easily. It can automatically load products without interruption

### Freely scroll down & See what page of the catalog they're on
While scrolling down, customer can see which page the product are belong to. Thus, they can identify the product position easily.


### Automatically loading pages
If you want to let it automatically loading when customer scroll down. you just need 1 click to enable that function.

### Show Loading Button
Beside automatically loading, you can show “Loading” Button. This button can be changed as your expectation.


### Possibility to give/ share links to certain position
Your customers can share and bookmark link to certain position. For instance, if they find a product in page 6, they can bookmark to return later. Or even, they can share links to their friends who will be interested in that product


### Easy to customize
You can show progress bar in different positions that you want.

### Similar technique as seen on Twitter, Facebook
If you can not image how it work. You can see twitter and facebook technique. Currently our magento 2 infinite scroll extension use the same technique as Twitter, Facebook.


### Increase the conversion rate at your store.
Have you realized that the traffic decrease on the second or third page. It is no long big issue now. The magento 2 Infinite scroll will encourage customer to see the following. As a result, your conversion rate increase.

### Easy to Change Button and Loading Text
It is also easy for you to customize Loading Text, Loading image, Button, etc.


### Use in category page and search page
You can use our extension in category page and search page.


## 4. Full Feature List
- Ajax Scroll 
- Ajax Pagination
- View product details without losing your current position.
- Preserve your paginated pages
- Load more products automatically
- 'Back to top' button
- Share and bookmark links
- Similar technique as seen on Twitter, Facebook
- Place progress bar in any location at the page.
- Increase the conversion rate at your store.
- Easy to Change Button and Loading Text
- Use in category page and search page
- Support multiple stores
- Support multiple languages
- Easy to install and configure
- Open source 100%


## LandOfCoder extensions on Magento Marketplace, Github
- [Magento 2 Multivendor Marketplace](https://landofcoder.com/magento-2-marketplace-extension.html/)
- [Magento 2 Blog Extension](https://landofcoder.com/magento-2-blog-extension.html/)
- [Magento 2 Testimonial Extension](https://landofcoder.com/testimonial-extension-for-magento2.html/)
- [Magento 2 Image Gallery](https://landofcoder.com/magento-2-image-gallery.html/)
- [Magento 2 Faq Extension](https://landofcoder.com/faq-extension-for-magento2.html/)
- [Magento 2 Help Desk](https://landofcoder.com/magento-2-help-desk-extension.html)
- [Magento 2 OUT OF STOCK NOTIFICATION](https://landofcoder.com/magento-2-out-of-stock-notification.html/)
- [Magento 2 CUSTOMER QUOTATION FOR MAGENTO 2](https://landofcoder.com/magento-2-quote-extension.html/)
- [Magento 2 RMA Extension](https://landofcoder.com/magento-2-rma-extension.html/)
- [Magento 2 Stripe Payment](https://landofcoder.com/magento-2-stripe-payment-pro.html/)
- [Magento 2 SMS Notification](https://landofcoder.com/magento-2-sms-notification-extension.html/)
- [Magento 2 Page Builder](https://landofcoder.com/magento-2-page-builder.html/)
- [Magento 2 Form Builder](https://landofcoder.com/magento-2-form-builder.html/)
- [Magento 2 Advanced Report](https://landofcoder.com/magento-2-advanced-reports.html/)
- [Magento 2 Marketplace PRO](https://landofcoder.com/magento-2-marketplace-pro.html/)
- [Magento 2 Order Tracking](https://landofcoder.com/magento-2-order-tracking-extension.html/)
- [Magento 2 Order Tracking PRO](https://landofcoder.com/magento-2-order-tracking-pro-extension.html/)
- [Magento 2 Multiple Flat Rate](https://landofcoder.com/magento-2-multiple-flat-rate-shipping.html/)
- [Magento 2 Shipping Per Product](https://landofcoder.com/magento-2-shipping-per-product.html/)
- [Magento 2 Social Login](https://landofcoder.com/magento-2-social-login.html/)
- [Magento 2 Store Locator](https://landofcoder.com/magento-2-store-locator.html/)
- [Magento 2 Auto Search Extension](https://landofcoder.com/magento-2-search.html/)
- [Magento 2 Mega Menu](https://landofcoder.com/magento-2-mega-menu.html/)
- [Magento 2 Mega Menu PRO](https://landofcoder.com/magento-2-mega-menu-pro.html)
- [Magento 2 Image Gallery PRO](https://landofcoder.com/magento-2-image-gallery-pro.html/)
- [Magento 2 Layered Navigation](https://landofcoder.com/magento-2-layered-navigation.html/)
- [Magento 2 Auction Extension](https://landofcoder.com/magento-2-auction-extension.html/)
- [Magento 2 Store Credit](https://landofcoder.com/magento-2-store-credit.html/)
- [Magento 2 Reward Point](https://landofcoder.com/magento-2-reward-points.html/)
- [Magento 2 Follow Up Email](https://landofcoder.com/magento-2-follow-up-email.html/)
- [Magento 2 Coupon Code Generator](https://landofcoder.com/magento-2-coupon-extension.html/)
- [Magento 2 Hide Price](https://landofcoder.com/magento-2-hide-price.html/)
- [Magento 2 Price Comparison](https://landofcoder.com/magento-2-price-comparison.html/)
- [Magento 2 SMTP Extension](https://landofcoder.com/magento-2-smtp-extension.html)